module.exports = function () {
  return {
    play: function (userBets, gameData, randoms) {
      const USER_BET = userBets[0]
      const USER_NUM = gameData.custom.playerNumbers[0]
      const HOUSEEDGE = 0.02
      const RANDOM_NUM = randoms[0]
      const MAX_RANDOM_RANGE = gameData.randomRanges[0][1]

      let profit = -USER_BET
      if (USER_NUM >= RANDOM_NUM) {
        profit = (USER_BET * (MAX_RANDOM_RANGE - MAX_RANDOM_RANGE * HOUSEEDGE) / USER_NUM) - USER_BET
      }

      return {
        profit,
        data: null
      }
    },

    customDataFormat: function (gameDataCustom) {
      return [
        { t: 'uint256', v: gameDataCustom.playerNumbers }
      ]
    }
  }
}
