#!/usr/bin/env bash

export START_BANKROLLER=1

case "$1" in
"test")
    export ACCOUNT_PRIVATE_KEY=0xae6ae8e5ccbfb04590405997ee2d52d2b330726137b875053c36d94e974d162f
    export DC_NETWORK=local
    export DC_TRANSPORT=IPFS
    export DAPPS_PATH=./data/dapps/
    echo "test"
    ;;
"local")
    export ACCOUNT_PRIVATE_KEY=0xae6ae8e5ccbfb04590405997ee2d52d2b330726137b875053c36d94e974d162f
    export DC_NETWORK=local
    export DAPPS_PATH=./data/dapps/
    echo "local"
    ;;
"ropsten")
    export ACCOUNT_PRIVATE_KEY=0xA3AAC5E1F8E5469FC4DDB74CF3BED94F37DC5EE6688A26287BBD854A5F638963
    export DC_NETWORK=ropsten
    export DAPPS_PATH=./data/dapps/
    echo "ropsten"
    ;;
"rinkeby")
    export ACCOUNT_PRIVATE_KEY=0x3634AB8297A2ECA851A540312214950B0A1E751F45D211574E879DBA37B0F639
    export DC_NETWORK=rinkeby
    export DAPPS_PATH=./data/dapps/
    echo "rinkeby"
    ;;
"cli-start")
    export ACCOUNT_PRIVATE_KEY=$3
    export DC_NETWORK=$4
    export DAPPS_PATH=./data/dapps/
    echo "cli-start"
    ;;
*)
    echo "Undefined network"
    exit 1
    ;;
esac

yarn run tsmon $2
